
From: Guillermo Menguez Alvarez <gmenguez@usuarios.retecal.es>

Just a little patch to unusual_devs.h in usb-storage in order to support
new ipods mini (ie.  the new 6 gig model) and possibly other new big models
reported to have problems through usb in linux 2.6.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/storage/unusual_devs.h |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/usb/storage/unusual_devs.h~usb-support-for-new-ipod-mini-and-possibly-others drivers/usb/storage/unusual_devs.h
--- 25/drivers/usb/storage/unusual_devs.h~usb-support-for-new-ipod-mini-and-possibly-others	2005-03-20 16:48:17.000000000 -0800
+++ 25-akpm/drivers/usb/storage/unusual_devs.h	2005-03-20 16:48:17.000000000 -0800
@@ -530,6 +530,12 @@ UNUSUAL_DEV( 0x05ac, 0x1205, 0x0001, 0x0
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_CAPACITY ),
 
+UNUSUAL_DEV( 0x05ac, 0x1205, 0x0001, 0x0001,
+		"Apple",
+		"iPod",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_CAPACITY ),
+
 #ifdef CONFIG_USB_STORAGE_JUMPSHOT
 UNUSUAL_DEV(  0x05dc, 0x0001, 0x0000, 0x0001,
 		"Lexar",
_
